<app-usernavbar (onchangeLang)="changeLang($event)"></app-usernavbar>
<div class="wave"></div>

<div class="overlay" [hidden]="!loading">
  <svg class="spinner" width="65px" height="65px" viewBox="0 0 66 66" xmlns="http://www.w3.org/2000/svg">
    <circle class="path" fill="none" stroke-width="6" stroke-linecap="round" cx="33" cy="33" r="30"></circle>
  </svg>
</div>
<div class="container mt-6 mb-4">
  <div class="row">
    <div class="col-xl-12">
      <div class="card bg-secondary shadow all-round">
        <div class="card-header bg-white border-0 top-round">
          <div class="row align-items-center">
            <div class="col-12">
              <div class="don-menu">
                <button class="btn focus-don" [routerLink]="['/FaireDon']">{{ "faireUnDon.don" | translate }}</button>
                <button class="btn blur-don" [routerLink]="['/DonArgent']">{{ "DonAgent.titre" | translate }}</button>
              </div>
              <h3 class="mt-4">{{ "faireUnDon.titre" | translate }} {{ "faireUnDon.nature" | translate }}</h3>

            </div>
          </div>
        </div>
        <div class="card-body">
          <p>
            {{ "faireUnDon.text" | translate }} <br />
          </p>

          <mat-horizontal-stepper linear #stepper class="text-center all-round p-3">
            <mat-step [stepControl]="userForm1">
              <br />

              <form #userForm1="ngForm">
                <div style="
                    justify-content: center;
                    display: flex;
                    flex-wrap: wrap;
                  ">
                  <div>
                    <h4>Nombre et photo de don</h4>
                    <br />

                    <ng-template matStepLabel>{{
                      "form.produit" | translate
                    }}</ng-template>

                    <mat-form-field>
                      <mat-label>{{ "form.quantity" | translate }}</mat-label>
                      <input matInput type="number" [(ngModel)]="nbr" #uname="ngModel" name="nbr" required
                        (change)="sizea()" min="1" />
                    </mat-form-field>
                    <br />

                    <input type="file" name="ImageProduct" multiple (change)="selectImage($event)" />
                    <br />

                    <!-- <button
                  mat-flat-button
                  color="primary"
                  *ngIf="nbr > 1"
                  (click)="toggle()"
                  style="float: right;"
                >
                  {{ "form.detailproduit" | translate }}
                </button> -->

                    <br />
                  </div>
                  <!-- <div *ngIf="detailed == true">
                  <mat-form-field>
                    <mat-label>{{ "form.NomProduit" | translate }}</mat-label>
                    <input
                      matInput
                      placeholder="Ex: Laptop , souris , imprimante..."
                      type="text"
                      [(ngModel)]="donneur.produitName"
                      #uname="ngModel"
                      maxlength="50"
                      name="prodname"
                      required
                    />
                  </mat-form-field>
                  <br />

                  <mat-form-field>
                    <mat-label>{{
                      "form.detailproduit" | translate
                    }}</mat-label>
                    <input
                      matInput
                      placeholder="{{ 'form.detailproduit' | translate }}"
                      type="text"
                      [(ngModel)]="donneur.decriptionProduit"
                      #uname="ngModel"
                      maxlength="50"
                      name="desc"
                      required
                    />
                  </mat-form-field>

                  <br />
                  <p style="margin-bottom: -10px;">
                    {{ "form.neufsOuAmortis" | translate }}
                  </p>
                  <mat-form-field
                    floatPlaceholder="always"
                    class="mat-form-field--no-underline"
                  >

                    <input matInput style="display: none;" />

                    <mat-radio-group
                      required
                      [(ngModel)]="donneur.etat"
                      name="etat"
                    >
                      <mat-radio-button value="neufs"
                        >{{ "form.neufs" | translate }}
                      </mat-radio-button>
                      <mat-radio-button value="amortis"
                        >{{ "form.amortis" | translate }}
                      </mat-radio-button>
                    </mat-radio-group>
                  </mat-form-field>


                  <br />
                </div> -->
                  <div class="">
                    <h4>Informations détaillées sur le(s) don(s)</h4>
                    <br />
                    <mat-accordion>
                      <mat-expansion-panel *ngFor="let va of products" [expanded]="true" class="all-round mb-2">
                        <mat-expansion-panel-header>
                          <mat-panel-title>
                            Le don
                          </mat-panel-title>
                          <mat-panel-description> </mat-panel-description>
                        </mat-expansion-panel-header>
                        <div class="row">
                          <mat-form-field>
                            <mat-label>{{ "form.NomProduit" | translate }}:</mat-label>
                            <input matInput placeholder="Ex: Laptop , souris , imprimante..." type="text"
                              [(ngModel)]="va.produitName" #uname="ngModel" maxlength="50" name="vaprodname" required />
                          </mat-form-field>
                          <br />

                          <mat-form-field>
                            <mat-label>{{
                                "form.DecriptionProduit" | translate
                              }}:</mat-label>
                            <input matInput placeholder="{{
                                'form.DecriptionProduit' | translate
                              }}" type="text" [(ngModel)]="va.decriptionProduit" #uname="ngModel" maxlength="50"
                              name="vadesc" required />
                          </mat-form-field>

                          <mat-form-field floatPlaceholder="always" class="mat-form-field--no-underline">
                            <!-- the matInput with display:none makes the magic. It's ugly, I've warned you -->

                            <input matInput style="display: none;" />

                            <mat-radio-group required [(ngModel)]="va.etat" name="etat">
                              <mat-radio-button value="neufs">{{ "form.neufs" | translate }}
                              </mat-radio-button>
                              <mat-radio-button value="amortis">
                                {{
                                  "form.amortis" | translate
                                }}</mat-radio-button>
                            </mat-radio-group>
                          </mat-form-field>

                          <!--      <mat-form-field>
                                  <mat-label>Etat du produit:</mat-label>
                                  <mat-radio-group matInput  required [(ngModel)]="va.etat"  #uname="ngModel"

                                  name="neuf" aria-label="Select an option">
                                    <mat-radio-button  value="non">non</mat-radio-button>
                                    <mat-radio-button  value="oui">oui</mat-radio-button>
                                  </mat-radio-group>


                                  </mat-form-field> -->
                        </div>
                      </mat-expansion-panel>
                    </mat-accordion>
                  </div>
                </div>
                <div>
                  <br />
                  <button mat-button matStepperNext>
                    {{ "form.next" | translate }}
                  </button>
                </div>
                <!-- image product -->
              </form>
            </mat-step>
            <mat-step [stepControl]="userForm">
              <form #userForm="ngForm">
                <ng-template matStepLabel>{{ "faireUnDon.InformationsDonneur" | translate }}
                </ng-template>

                <mat-form-field>
                  <mat-label>{{ "form.Nom" | translate }}</mat-label>
                  <input matInput placeholder="{{ 'form.NomDonneur' | translate }}" [(ngModel)]="donneur.nom" name="nom"
                    maxlength="40" #uname="ngModel" required />
                </mat-form-field>
                <br />
                <mat-form-field>
                  <mat-label>{{ "form.Prenom" | translate }}</mat-label>
                  <input matInput placeholder="{{ 'form.PrenomDonneur' | translate }}" [(ngModel)]="donneur.prenom"
                    #uname="ngModel" maxlength="40" name="prenom" required />
                </mat-form-field>
                <br />

                <!-- <mat-form-field>
                                      <mat-label>{{'form.cin' | translate }} 4 dernier chiffre </mat-label>
                                      <input matInput placeholder="{{'form.cin' | translate }}" type="text"
                                          [(ngModel)]="donneur.cin" #uname="ngModel" maxlength="4" name="cin"
                                          pattern='[0-9]{4,4}' />
                                  </mat-form-field>
                                  <br /> -->
                <mat-form-field>
                  <mat-label>{{ "form.email" | translate }}</mat-label>
                  <input matInput placeholder="{{ 'form.email' | translate }}" type="email"
                    pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,}$" [(ngModel)]="donneur.Email" #uname="ngModel"
                    name="email" required />
                </mat-form-field>
                <br>
                <mat-form-field *ngIf="isLoggedIn">
                  <br />
                  <mat-label>{{ "form.mdpsharek" | translate }}</mat-label>
                  <input matInput type="password" placeholder="{{ 'form.mdpsharek' | translate }}"
                    [(ngModel)]="passowrd" (keyup)="keyup($event)" #uname="ngModel" name="password" required
                    minlength="6" />
                </mat-form-field>
                <br />
                <mat-form-field>
                  <mat-label>{{ "form.tel" | translate }}</mat-label>
                  <input matInput placeholder="{{ 'form.tel' | translate }}" type="text" [(ngModel)]="donneur.tel"
                    #uname="ngModel" maxlength="8" name="tel" pattern="[0-9]{8,8}" required />
                </mat-form-field>

                <div>
                  <button mat-button matStepperNext>
                    {{ "form.next" | translate }}
                  </button>
                </div>
              </form>
            </mat-step>
            <mat-step [stepControl]="userForm2">
              <form #userForm2="ngForm">
                <ng-template matStepLabel>
                  {{ "profiter.coordonnées" | translate }}
                </ng-template>
                <!--
                <mat-form-field>
                  <mat-label>{{'form.ville' | translate }}:</mat-label>
                  <input matInput placeholder="Ex: Ariana, Bizerte, Kef..." type="text" [(ngModel)]="donneur.ville"
                    #uname="ngModel" maxlength="20" name="cite" required />
                </mat-form-field>
              -->
                <mat-form-field>
                  <mat-label>{{ "form.ville" | translate }}:</mat-label>
                  <mat-select matInput name="nom_universite" required placeholder="{{ 'form.ville' | translate }}"
                    [(ngModel)]="donneur.ville" (ngModelChange)="onChange($event)" #field_cars="ngModel">
                    <mat-option *ngFor="let food of foods" [value]="food.value">
                      {{ food.viewValue }}
                    </mat-option>
                  </mat-select>
                </mat-form-field>
                <br />
                <mat-form-field>
                  <mat-label>{{ "form.adresse" | translate }}:</mat-label>
                  <input matInput placeholder="{{ 'form.adresse' | translate }}" type="text"
                    [(ngModel)]="donneur.adresse" #uname="ngModel" name="adresse" required />
                </mat-form-field>
                <br />
                <!-- <mat-form-field>
                  <mat-label>{{'form.codePostal' | translate }}:</mat-label>
                  <input matInput placeholder="{{'form.codePostal' | translate }}" type="number" [(ngModel)]="donneur.codepostal"
                    #uname="ngModel" maxlength="20" name="codepostal" required />
                </mat-form-field>
                <br> -->

                <div>
                  <button mat-button matStepperNext>
                    {{ "form.next" | translate }}
                  </button>
                </div>
              </form>
            </mat-step>
            <mat-step>
              <ng-template matStepLabel [optional]="isOptional">{{ "form.messageProduit" | translate }} ({{
                  "form.optionnel" | translate
                }})
              </ng-template>
              <p>{{ "form.messageProduit" | translate }}</p>
              <mat-form-field>
                <mat-label>Message:</mat-label>
                <textarea matInput placeholder="Enchalah Bel Njé7 ❤ " type="text" [(ngModel)]="donneur.message"
                  #uname="ngModel" name="message" required></textarea>
              </mat-form-field>
              <p>{{ "faireUnDon.addyourlogo" | translate }}</p>
              <p>{{ "faireUnDon.addyourlogoextra" | translate }}</p>

              <mat-form-field floatPlaceholder="always" class="mat-form-field--no-underline">
                <!-- the matInput with display:none makes the magic. It's ugly, I've warned you -->

                <input matInput style="display: none;" />

                <mat-radio-group required [(ngModel)]="etat" name="etat" (change)="handleChange($event)">
                  <mat-radio-button value="oui">oui</mat-radio-button> &nbsp;
                  <mat-radio-button value="non">non</mat-radio-button>
                </mat-radio-group>
              </mat-form-field>
              <div *ngIf="etat === 'oui'">
                <input type="file" name="ImagePub" multiple (change)="selectImagePub($event)" />
              </div>
              <div>
                <button mat-button matStepperNext>Next</button>
              </div>
            </mat-step>

            <mat-step>
              <ng-template matStepLabel>{{
                "faireUnDon.Done" | translate
              }}</ng-template>
              <p>{{ "form.YouAreNowDone" | translate }}</p>
              <div>
                <button mat-button matStepperPrevious>
                  {{ "form.back" | translate }}
                </button>
                <button mat-button (click)="stepper.reset()">
                  {{ "form.reset" | translate }}
                </button>
                <button mat-button color="primary" (click)="submitt()">
                  {{ "form.envoyerDemande" | translate }}
                </button>
              </div>
            </mat-step>
          </mat-horizontal-stepper>
        </div>
      </div>
    </div>
  </div>
</div>
<app-userfooter></app-userfooter>